%global debug_package %{nil}

Name:           perl-Test-Warn
Version:        0.36
Release:        1
Summary:        Perl Modul, This module provides a few convenience methods for testing warning based code
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Warn
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BIGJ/Test-Warn-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl-Sub-Uplevel

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Obsoletes:	%{name}-tests < %{version}-%{release}
Provides:	%{name}-tests = %{version}-%{release}

%description
Test::Warn - This module provides a few convenience methods for testing warning based code

%prep
%autosetup -n Test-Warn-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init
